package com.hai.model;

import java.math.BigDecimal;

/**
 * 团购支付价格模型
 * @author hurui
 */
public class GasPayPriceModel {

    /**
     * 加油金额
     */
    private BigDecimal oilingPrice;

    /**
     * 优惠价
     */
    private BigDecimal priceVip;

    /**
     * 枪价
     */
    private BigDecimal priceGun;

    /**
     * 国标价
     */
    private BigDecimal priceOfficial;

    /**
     * 平台价
     */
    private BigDecimal pricePlatform;

    /**
     * 油站直降
     */
    private BigDecimal gasStationDrop;

    /**
     * 平台补贴
     */
    private BigDecimal preferentialMargin;

    /**
     * 加油升数，计算方式：加油金额 / 国标价
     */
    private BigDecimal oilLiters;

    /**
     * 平台折扣，我们平台或者代理商设置的折扣
     */
    private BigDecimal discount;

    /**
     * 每升优惠
     */
    private BigDecimal litersPreferences;

    /**
     * 优惠价格
     */
    private BigDecimal pricePreferences;

    /**
     * 本次优惠
     */
    private BigDecimal totalPreferences;

    /**
     * 支付价格，计算方式：加油金额 - 本次优惠
     */
    private BigDecimal payPrice;

    public BigDecimal getPreferentialMargin() {
        return preferentialMargin;
    }

    public void setPreferentialMargin(BigDecimal preferentialMargin) {
        this.preferentialMargin = preferentialMargin;
    }

    public BigDecimal getGasStationDrop() {
        return gasStationDrop;
    }

    public void setGasStationDrop(BigDecimal gasStationDrop) {
        this.gasStationDrop = gasStationDrop;
    }

    public BigDecimal getOilingPrice() {
        return oilingPrice;
    }

    public void setOilingPrice(BigDecimal oilingPrice) {
        this.oilingPrice = oilingPrice;
    }

    public BigDecimal getPriceVip() {
        return priceVip;
    }

    public void setPriceVip(BigDecimal priceVip) {
        this.priceVip = priceVip;
    }

    public BigDecimal getPriceGun() {
        return priceGun;
    }

    public void setPriceGun(BigDecimal priceGun) {
        this.priceGun = priceGun;
    }

    public BigDecimal getPriceOfficial() {
        return priceOfficial;
    }

    public void setPriceOfficial(BigDecimal priceOfficial) {
        this.priceOfficial = priceOfficial;
    }

    public BigDecimal getPricePlatform() {
        return pricePlatform;
    }

    public void setPricePlatform(BigDecimal pricePlatform) {
        this.pricePlatform = pricePlatform;
    }

    public BigDecimal getOilLiters() {
        return oilLiters;
    }

    public void setOilLiters(BigDecimal oilLiters) {
        this.oilLiters = oilLiters;
    }

    public BigDecimal getDiscount() {
        return discount;
    }

    public void setDiscount(BigDecimal discount) {
        this.discount = discount;
    }

    public BigDecimal getLitersPreferences() {
        return litersPreferences;
    }

    public void setLitersPreferences(BigDecimal litersPreferences) {
        this.litersPreferences = litersPreferences;
    }

    public BigDecimal getPricePreferences() {
        return pricePreferences;
    }

    public void setPricePreferences(BigDecimal pricePreferences) {
        this.pricePreferences = pricePreferences;
    }

    public BigDecimal getTotalPreferences() {
        return totalPreferences;
    }

    public void setTotalPreferences(BigDecimal totalPreferences) {
        this.totalPreferences = totalPreferences;
    }

    public BigDecimal getPayPrice() {
        return payPrice;
    }

    public void setPayPrice(BigDecimal payPrice) {
        this.payPrice = payPrice;
    }
}
